FUNC_* ENTITIES

-------------------------------------------------------------------------------

/*SINED func_checkpoint (0 .5 .8) ? ANYORDER RANDREWARD TURBOFILL ALWAYSREWARD
WOS only entity. Each time a player passes through a checkpoint, he recieves a number of frag points, as well as some hoverbike ammo (rockets, bullets, or mines, randomly). Each of these have default values, but may all be changed. For ammo, enter a value of -1 for the player to never recieve that kind of ammo. Ammo amounts recieved are doubled for going through a goal line.
-------- KEYS --------
"id" : id number of the checkpoint. Set to 0 for the goal line and 1 or greater for checkpoints. This needs to be unique to each checkpoint. Max allowed value is 255.
"previous_id" : id number of the checkpoint that comes before this one. This does not need to be set if the ANYORDER flag is used.
"points" : number of frag points received for passing this checkpoint. Default is 0 for checkpoints and 1 for goal lines.
"fastestpoints" : is the number of points rewarded for making the fastest lap. Default is 1.
"rockets" : is the amount of rocket ammo that the player may receive (default 10).
"bullets" : is the amount of bullet ammo that the player may receive (default 25).
"mines" : is the number of mines that the player may receive (default 3).
"bikehealth" : is the amount of health a hoverbike may receive (default -1 : don't give any).
"riderhealth" : is the amount of health a hoverbike rider may receive (default -1 : don't give any).
"disabletime" : sets how long after someone successfully hits this checkpoint that it will be disabled. No one can successfully hit the checkpoint while it's disabled. Default is 0 - don't disable. If ALWAYSREWARD is set, default is 5.
"target" : is activated when the checkpoint is hit successfully.
"thread" : script thread that is called when the checkpoint is hit successfully.
-------- SPAWNFLAGS --------
ANYORDER : only settable on the goal line. When set, it allows players to hit the checkpoints in the level in any order. They must still hit them all.
RANDREWARD : specifies that the checkpoint will give out only one type of ammo (choosen randomly) when touched. Otherwise, a player will receive some of each type of ammo.
TURBOFILL : makes this checkpoint refill a hoverbike's turbo meter when passed.
ALWAYSREWARD : always gives a player the ammo and health reward even if he's already hit it.*/

-------------------------------------------------------------------------------

/*SINED func_door (0 .5 .8) ? START_OPEN x DOOR_DONT_LINK NOT_PLAYERS NOT_MONSTERS TOGGLE AUTO_OPEN TARGETED
WOS enhanced common sliding door. By default, doors must be used to open. Doors that touch are automatically teamed and operate as a single unit. Only doors of the same type that touch can be teamed.
-------- KEYS --------
"angle" : determines the opening direction (default 0).
"targetname" : if this is set, the door can be operated by an activating trigger or script commands but also retains its default use mode or proximity (if AUTO_OPEN is set) mode of operation.
"target" : point this to the func_areaportal within the door.
"time" : move time in seconds.
"speed" : move speed (100 default - overrides time).
"wait" : wait before returning (3 default, -1 = never return).
"lip" : lip remaining at end of move (8 default).
"dmg" : damage to inflict to player when he blocks the door (0 default).
"message" : text string to print on the screen every time the door is operated.
"key" : item needed to open this door (default nothing). This can be any Inventory_* type entity. Use the last part of the entity name (after "Inventory_"). The only exceptions are:
    ChemBioSuit : use chemsuit instead
    cookies : works but doesn't generate an icon
    genericpulsepart : works but doesn't generate an icon
"preciseuse" : make the door only open on a precise use when set to a non-zero value.
"triggerdist" : sets the distance out from the door that the trigger field will be made (default 60).
"sound_stop" : sound that plays when the door stops moving (default global door_stop).
"sound_move" : sound that plays when the door is moving (default global door_moving).
"sound_message" : sound that plays when the door displays a message.
"sound_locked" : sound that plays when the door is locked.
"sound_close_stop" : sound that plays when the door stops closing (default global door_stop).
"sound_close_move" : sound that plays while the door is closing (default global door_moving).
"alpha" : sets the translucency of the entity (default 1.0). Warning: don't set this if the door targets an areaportal.
-------- SPAWNFLAGS --------
START_OPEN : causes the door to move to its destination when spawned, and operate in reverse. It is used to temporarily or permanently close off an area when triggered (not useful for touch doors).
DOOR_DONT_LINK : is for un-teaming doors that are touching (thus automatically teamed) so you can operate them independently.
NOT_PLAYERS : players cannot operate the door.
NOT_MONSTERS : monsters cannot operate the door.
TOGGLE : causes the door to wait in both the start and end states for a trigger event.
AUTO_OPEN : proximity mode, door will open when a player is near it instead of waiting for the player to use it.
TARGETED : use mode and proximity mode are disabled and door can only be operated by triggers or script commands ("targetname" must be set).
-------- NOTES --------
"health" key and START_OPEN spawnflag don't work - joinTeam and quitTeam script commands don't work either. 2015 implemented the extra keys: preciseuse, triggerdist, sound_close_stop and sound_close_move.*/

-------------------------------------------------------------------------------

/*SINED func_fire (0 0.5 0) (-4 -4 -4) (4 4 4) START_OFF NO_DAMAGE
WOS only entity. Makes a triggerable particle flame. They can be positioned as a single spot of fire, or a row of fire.
-------- KEYS --------
"targetname" : name used by trigger or script to activate this.
"count" : specifies the density of the flame (default 1).
"lightstyle" : lightstyle type of the flame. Valid values are from 150 to 159 (default 151).
"offset" : a vector offset that flames are made to. Example: if you specified '64 0 0', then flames would be made between the entity's origin and the point 64 away on the X-axis, resulting in a solid row of flames (default 0 0 0).
"size" : the size of the flame particles to make (default 20).
"startdir" : velocity the beginning flames are given. Example: the default value of '0 0 32' would give the flames a starting velocity of 32 straight up.
"enddir" : velocity that the ending flames are given. Example: the default value '0 0 32' would give the flames an ending velocity of 32 straight up.
"rate" : time delay between each time the flame is updated (default 0.2).
"randomrate" : the amount of random time delay there is for the flame updating (default 0).
"damage" : amount of damage the hurt field of the flames should do (default 1).
-------- SPAWNFLAGS --------
START_OFF : starts the flame entity in the off state.
NO_DAMAGE : don't create a damage field around this.*/

-------------------------------------------------------------------------------

/*SINED func_goliathobject (0 .5 .8) (0 0 0) (0 0 0) NOTSOLID NODAMAGE FALL STACKING
WOS only entity. This is a func_throwobject with added functionality that's been optimized for use by a goliath.
-------- KEYS --------
"targetname" : name used by script to refer to this.
-------- SPAWNFLAGS --------
NOTSOLID : makes it not solid while sitting around.
NODAMAGE : makes it not damagable while sitting around.
FALL : makes it be effected by gravity while waiting around to be thrown.
STACKING : makes the object stay on top of other BBOX entities so they can be stacked.
-------- NOTES --------
This responds to the script commands: pickup, throw, pickupoffset, throwsound.*/

-------------------------------------------------------------------------------

/*SINED func_jitter_global (.5 .5 .8) (-8 -8 -8) (8 8 8) TOGGLE START_ON
WOS only entity. Causes an angle and offset jitter of player's view.
-------- KEYS --------
"duration" : duration of the jitter (0.8 seconds default).
"angleduration" : angle jitter duration. Set to -1 for no angle jitter.
"anglemagnitude" : angle jitter magnitude (default 3).
"anglefalloff" : angle jitter falloff rate (default 4).
"offsetduration" : offset jitter duration. Set to -1 for no offset jitter.
"offsetmagnitude" : offset jitter magnitude (default 2).
"offsetfalloff" : offset jitter falloff rate (default 3).
-------- SPAWNFLAGS --------
TOGGLE : makes it toggle on and off each time it's triggered
START_ON : makes it start immediately. Works with or without toggle set.*/

-------------------------------------------------------------------------------

/*SINED func_jitter_radius (.5 .5 .8) (-8 -8 -8) (8 8 8) TOGGLE START_ON
WOS only entity. Causes an angle and offset jitter of players' views that are within a certain radius of the entity.
-------- KEYS --------
"radius" : max effective radius of view jitter (default 128).
"outerjitter" : percentage of full jitter that will be used at max effective range (default 0.25)
"duration" : duration of the jitter (0.25 seconds default).
"angleduration" : angle jitter duration. Set to -1 for no angle jitter.
"anglemagnitude" : angle jitter magnitude (default 6).
"anglefalloff" : angle jitter falloff rate (default 9).
"offsetduration" : offset jitter duration. Set to -1 for no offset jitter.
"offsetmagnitude" : offset jitter magnitude (default 5).
"offsetfalloff" : offset jitter falloff rate (default 8).
-------- SPAWNFLAGS --------
TOGGLE : makes it toggle on and off each time it's triggered
START_ON : makes it start immediately. Works with or without toggle set.*/

-------------------------------------------------------------------------------

/*SINED func_rotatingdoor (0 .5 .8) ? START_OPEN OPEN_DIRECTION DOOR_DONT_LINK NOT_PLAYERS NOT_MONSTERS TOGGLE AUTO_OPEN TARGETED
WOS enhanced rotating door. By default, doors must be used to open. Doors that touch are automatically teamed and operate as a single unit. Only doors of the same type that touch can be teamed.
-------- KEYS --------
"angle" : determines the opening direction. Point toward the middle of the door (away from the hinge).
"openangle" : the angle the door will rotate when operated. Positive values make the door open away from the player and negative values make the door open toward the player (default 90 degrees).
"onewayangles" : angles to rotate through when opening. Setting this makes the door only open in one direction.
"origin" : optional alternative to the use of an origin brush as the center of rotation of the entity. Set this to the XYZ coordinate you want the entity to use as it's center of rotation.
"targetname" : if this is set, the door can be operated by an activating trigger or script commands but also retains its normal proximity (AUTO_OPEN) or use (default) mode of operation.
"target" : point this to the func_areaportal within the door.
"time" : move time (0.3 default).
"wait" : wait before returning (3 default, -1 = never return).
"dmg" : damage to inflict to player when he blocks the door (0 default).
"message" : text string to print on the screen every time the door is operated.
"key" : item needed to open this door (default nothing). This can be any Inventory_* type entity. Use the last part of the entity name (after "Inventory_"). The only exceptions are:
    ChemBioSuit : use chemsuit instead
    cookies : works but doesn't generate an icon
    genericpulsepart : works but doesn't generate an icon
"preciseuse" : make the door only open on a precise use when set to a non-zero value.
"triggerdist" : sets the distance out from the door that the trigger field will be made (default 60).
"sound_stop" : sound that plays when the door stops moving (default global door_stop).
"sound_move" : sound that plays when the door is moving (default global door_moving).
"sound_message" : sound that plays when the door displays a message.
"sound_locked" : sound that plays when the door is locked.
"sound_close_stop" : sound that plays when the door stops closing (default global door_stop).
"sound_close_move" : sound that plays while the door is closing (default global door_moving).
"alpha" : sets the translucency of the entity (default 1.0). Warning: don't set this if the door targets an areaportal.
-------- SPAWNFLAGS --------
START_OPEN : causes the door to move to its destination when spawned, and operate in reverse. It is used to temporarily or permanently close off an area when triggered (not useful for touch doors).
OPEN_DIRECTION : indicates which direction to open when START_OPEN is set.
DOOR_DONT_LINK : is for un-teaming doors that are touching (thus automatically teamed) so you can operate them independently.
NOT_PLAYERS : players cannot operate the door.
NOT_MONSTERS : monsters cannot operate the door.
TOGGLE : causes the door to wait in both the start and end states for a trigger event.
AUTO_OPEN : proximity mode, door will open when a player is near it instead of waiting for the player to use it.
TARGETED : use mode and proximity mode are disabled and door can only be operated by triggers or script commands ("targetname" must be set).
-------- NOTES --------
"health", "speed" keys removed and START_OPEN, OPEN_DIRECTION spawnflags don't work - joinTeam and quitTeam script commands don't work. 2015 implemented the extra keys: onewayangles, preciseuse, triggerdist, sound_close_stop and sound_close_move.*/

-------------------------------------------------------------------------------

/*SINED func_scriptdoor (0 .5 .8) ? START_OPEN x DOOR_DONT_LINK NOT_PLAYERS NOT_MONSTERS TOGGLE AUTO_OPEN TARGETED
WOS enhanced script door. Opening and closing movement/rotation must be done with script threads. By default, doors must be used to open. Doors that touch are automatically teamed and operate as a single unit. Only doors of the same type that touch can be teamed.
-------- KEYS --------
"angle" : determines the opening direction. Point toward the middle of the door (away from the hinge).
"origin" : optional alternative to the use of an origin brush as the center of rotation of the entity. Set this to the XYZ coordinate you want the entity to use as it's center of rotation.
"targetname" : if this is set, the door can be operated by an activating trigger or script commands but also retains its default use mode or proximity (if AUTO_OPEN is set) mode of operation.
"target" : point this to the func_areaportal within the door.
"time" : move time in seconds.
"wait" : wait before returning (3 default, -1 = never return).
"dmg" : damage to inflict to player when he blocks the door (0 default).
"message" : text string to print on the screen every time the door is operated.
"key" : item needed to open this door (default nothing). This can be any Inventory_* type entity. Use the last part of the entity name (after "Inventory_"). The only exceptions are:
    ChemBioSuit : use chemsuit instead
    cookies : works but doesn't generate an icon
    genericpulsepart : works but doesn't generate an icon
"preciseuse" : make the door only open on a precise use when set to a non-zero value.
"triggerdist" : sets the distance out from the door that the trigger field will be made "initthread" : thread to execute to setup the door (optional).
"openthread" : thread to execute when opening the door (required).
"closethread" : thread to execute when closing the door (required).
"sound_stop" : sound that plays when the door stops moving (default global door_stop).
"sound_move" : sound that plays when the door is moving (default global door_moving).
"sound_message" : sound that plays when the door displays a message.
"sound_locked" : sound that plays when the door is locked.
"sound_close_stop" : sound that plays when the door stops closing (default global door_stop).
"sound_close_move" : sound that plays while the door is closing (default global door_moving).
"alpha" : sets the translucency of the entity (default 1.0). Warning: don't set this if the door targets an areaportal.
-------- SPAWNFLAGS --------
START_OPEN : causes the door to move to its destination when spawned, and operate in reverse. It is used to temporarily or permanently close off an area when triggered (not useful for touch doors).
DOOR_DONT_LINK : is for un-teaming doors that are touching (thus automatically teamed) so you can operate them independently.
NOT_PLAYERS : players cannot operate the door.
NOT_MONSTERS : monsters cannot operate the door.
TOGGLE : causes the door to wait in both the start and end states for a trigger event.
AUTO_OPEN : proximity mode, door will open when a player is near it instead of waiting for the player to use it.
TARGETED : use mode and proximity mode are disabled and door can only be operated by triggers or script commands ("targetname" must be set).
-------- NOTES --------
"health", "speed" keys removed and START_OPEN spawnflag don't work - joinTeam and quitTeam script commands don't work. 2015 implemented the extra keys: preciseuse, triggerdist, sound_close_stop and sound_close_move.*/

-------------------------------------------------------------------------------

INFO_* ENTITIES

-------------------------------------------------------------------------------

/*SINED info_player_coop (1 0 1) (-16 -16 0) (16 16 64) ONBIKE
WOS enhanced. Potential spawning position for coop games.
-------- KEYS --------
"angle" : direction in which the player is facing when spawned.
"gravityaxis" : sets the gravity axis in which the player will spawn. Possible values are:
    0 : down is towards the negative side of the Z axis (default normal gravity).
    1 : down is towards the negative side of the X axis.
    2 : down is towards the negative side of the Y axis.
    3 : down is towards the positive side of the Z axis (inverse normal gravity).
    4 : down is towards the positive side of the X axis.
    5 : down is towards the positive side of the Y axis.
-------- SPAWNFLAGS --------
ONBIKE : player will spawn already mounted on hoverbike.
-------- NOTES --------
2015 implemented the ONBIKE spawnflag for this.*/

-------------------------------------------------------------------------------

/*SINED info_player_deathmatch (1 0 1) (-16 -16 0) (16 16 64) ONBIKE
WOS enhanced. Potential spawning position for deathmatch games.
-------- KEYS --------
"angle" : direction in which the player is facing when spawned.
"gravityaxis" : sets the gravity axis in which the player will spawn. Possible values are:
    0 : down is towards the negative side of the Z axis (default normal gravity).
    1 : down is towards the negative side of the X axis.
    2 : down is towards the negative side of the Y axis.
    3 : down is towards the positive side of the Z axis (inverse normal gravity).
    4 : down is towards the positive side of the X axis.
    5 : down is towards the positive side of the Y axis.
-------- SPAWNFLAGS --------
ONBIKE : player will spawn already mounted on hoverbike.
-------- NOTES --------
2015 implemented the ONBIKE spawnflag for this.*/

-------------------------------------------------------------------------------

/*SINED info_player_progressivestart (1 0 0) (-16 -16 0) (16 16 64) ONBIKE
WOS only entity. Starting point for a level. When triggered, sets next spawnpoint to itself. Used for respawn point in Sin Arcade.  This must have a targetname for it to work.
-------- KEYS --------
"starthere" : set to 1 to make this the default spawnpoint (Note: multiple progressive starts with starthere set will override each other).
-------- SPAWNFLAGS --------
ONBIKE : player will spawn already mounted on hoverbike.*/

-------------------------------------------------------------------------------

/*SINED info_player_start (1 0 0) (-16 -16 0) (16 16 64) ONBIKE
WOS enhanced. The normal starting point for a level. There is normally one per level in a single player map. If you have more than one, you must assign a targetname to all of them. You can thus have several starting points at which the player can spawn when coming from a previous map. For more info, see trigger_changelevel.
-------- KEYS --------
"angle" : direction in which the player is facing when spawned.
"targetname" : must be used if there is more than one of these in a map.
"gravityaxis" : sets the gravity axis in which the player will spawn. Possible values are:
    0 : down is towards the negative side of the Z axis (default normal gravity).
    1 : down is towards the negative side of the X axis.
    2 : down is towards the negative side of the Y axis.
    3 : down is towards the positive side of the Z axis (inverse normal gravity).
    4 : down is towards the positive side of the X axis.
    5 : down is towards the positive side of the Y axis.
-------- SPAWNFLAGS --------
ONBIKE : player will spawn already mounted on hoverbike.
-------- NOTES --------
2015 implemented the ONBIKE spawnflag for this.*/

-------------------------------------------------------------------------------

MISC_* ENTITIES

-------------------------------------------------------------------------------

/*SINED misc_teleporter (1 0 0) ? VISIBLE x NOT_PLAYERS NOT_MONSTERS NOT_PROJECTILES x NOEFFECTS OFFSET_MOVE
WOS enhanced teleporter. Touching this entity will teleport players to the targeted misc_teleporter_destination.
-------- KEYS --------
"target" : point this to the misc_teleporter_destination where the players will be teleported
"key" : item needed to activate this (default nothing).
"gravityaxis" : sets player's axis of gravity when teleported. Valid values are 0 to 5. Here's list of what orientation goes with which value:
   0: upright
   1: South is down
   2: East is down
   3: upsidedown
   4: North is down
   5: West is down
-------- SPAWNFLAGS --------
VISIBLE : this makes the teleporter brush visible.
NOT_PLAYERS : teleporter does not teleport players.
NOT_MONSTERS : teleporter does not teleport monsters.
NOT_PROJECTILES : teleporter does not teleport projectiles (rockets, grenades, etc.).
NOEFFECTS : teleporter won't make a teleporting sound or particles.
OFFSET_MOVE : teleporter will "offset" the player to the destination, not actually teleport him.*/

-------------------------------------------------------------------------------

SPECIAL MANERO BOSS MONSTER ENTITIES

-------------------------------------------------------------------------------

/*SINED monster_helicopterboss (0 .5 .8) (0 0 0) (0 0 0) NOT_SOLID
WOS ending Manero's helicopter. This entity requires scripting to work properly.
-------- KEYS --------
"angle" : orientation of helicopter model (default 0).
"angles" : pitch, yaw and roll orientation of helicopter model (overrides angle - default 0 0 0).
"targetname" : name used in script to control this entity.
"rocketcount" : how many rockets helicopter will have.
-------- SPAWNFLAGS --------
NOT_SOLID : helicopter model is not solid.
-------- NOTES --------
This entity responds to all the movement and rotation script commands for script slave entities. It also responds to the dedicated WOS script commands: startattacking, stopattacking, firerockets and removemanero.*/

-------------------------------------------------------------------------------

/*SINED monster_maneroboss (0 .5 .8) (0 0 0) (0 0 0)
WOS ending Manero Boss monster himself. This entity requires scripting to work properly.
-------- KEYS --------
"angle" : orientation of helicopter model (default 0).
"angles" : pitch, yaw and roll orientation of helicopter model (overrides angle - default 0 0 0).
"targetname" : name used in script to control this entity.
-------- NOTES --------
This entity responds to all the AI script commands for actors. It also responds to the dedicated WOS script commands: shieldson, shieldsoff, cloakon, cloakoff and firenuke.*/

-------------------------------------------------------------------------------

ROPE_* ENTITIES

-------------------------------------------------------------------------------

/*SINED rope_piece (.6 .5 .1) (-8 -8 -8) (8 8 8) STEAM WIGGLE ATT_STEAM ATT_WIGGLE
WOS only entity. Rope Piece - A single piece of a rope.
-------- KEYS --------
"target" : point this to the targetname of the next piece in the rope. This should be blank if it's the last piece in the rope. If a non-rope_piece entity is targeted, it will attach itself to it.
"targetname" : used for the previous piece in the rope to find and link to this piece of the rope.
"target2" : targetname of the entity to attach this piece of the rope to. Any piece of a rope can be attached to something and be triggered at any time to detach it. Triggering the base of an attached rope will detach all attached points on that rope.
"wigglemove" : amount of force the random wiggling has. Also used for the number of particles to throw while steaming (default 32).
"steamtime" : number of seconds between each time the rope shoots out steam (default 0.2).
"wiggletime" : number of seconds between each time the rope wiggles (default 0.5).
"damage" : amount of damage the rope piece does to things when it touches them. Will not hurt things if the rope_base is an untriggered START_STILL rope (default 0).
NOTE : All other settings are set in the rope's rope_base entity.
-------- SPAWNFLAGS --------
STEAM : makes this piece of the rope shoot out steam. Only does this while not attached.
WIGGLE : makes this piece of the rope wiggle about randomly. Only does this while not attached.
ATT_STEAM : makes this piece of the rope spray steam even while attached. STEAM must also be checked for this to work.
ATT_WIGGLE : makes this piece of the rope wiggle around even while attached. WIGGLE must also be checked for this to work.*/

-------------------------------------------------------------------------------

/*SINED rope_base (.7 .6 .2) (-8 -8 -8) (8 8 8) NOATTGRAB START_STILL NO_GRAB
WOS only entity. Rope Base - The main control and top end attachment entity for ropes. This entity is the point to where ropes attach their top end. It's a stationary point entity. All setting for the whole rope are specified through this entity. If you want/need to trigger a rope to do something, then this is the entity to trigger. Trying to trigger a rope_piece will do nothing.
-------- KEYS --------
"targetname" : name that the rope is triggered with.
"target" : targetname of the first rope_piece in the rope.
"piecelength" : distance between each piece of the rope (default 24).
"piecemodel" : model to use for the rope pieces (default = rope.def).
"pieceskin" : skin number of the model to use for the rope pieces (default 0).
"ropedampener" : horizontal velocity dampener for the rope (default 0.8).
"playerdampener" : horizontal velocity dampener for a player grabbing the rope (default 0.95).
"stiffness" : movement restricter on the amount that the rope can flex and bend. Valid values are from -1 (no restriction) to 1 (tried to be perfectly straight. The position of the first rope piece determines what direction the rope is pushed from the base of the rope (default -1).
"strength" : how strongly a stiff rope goes to position (default 1).
"gravityaxis" : sets the axis of gravity for the rope. Valid values are 0 to 5. Here's list of what orientation goes with which value.
   0: upright
   1: South is down
   2: East is down
   3: upsidedown
   4: North is down
   5: West is down
-------- SPAWNFLAGS --------
NOATTGRAB : makes the entire rope non-grabbable when attached anywhere along the rope.
START_STILL : the whole rope will be completely stationary until it's either triggered or grabbed.
NO_GRAB : players can't grab the rope. They'll still bump it from walking through it however.*/

-------------------------------------------------------------------------------

TRIGGER_* ENTITIES

-------------------------------------------------------------------------------

/*SINED trigger_box (.5 .5 .5) ? x x NOT_PLAYERS MONSTERS PROJECTILES
WOS only entity. Variable sized repeatable touch or damage activated trigger. Must be targeted at one or more entities. Made to be spawned via script.
-------- KEYS --------
"target" : this points to the entities to trigger when activated.
"killtarget" : any entities this points to will be removed when the trigger is fired.
"health" : if set, the trigger must be killed to activate each time.
"delay" : amount of time trigger waits after being activated before firing its targets (default 0).
"wait" : amount of time before trigger, once activated, responds to activation again (.2 default). This is useful only if "cnt" is set to a value other than 1.
"cnt" : how many times trigger can be activated before removing itself (default: infinite).
"message" : text string to print on the screen every time the trigger is activated. Trigger also makes a clicking sound.
"key" : item needed to activate this (default nothing). This can be any Inventory_* type entity. Use the last part of the entity name (after "Inventory_"). The only exceptions are:
    ChemBioSuit : use chemsuit instead
    cookies : works but doesn't generate an icon
    genericpulsepart : works but doesn't generate an icon
"thread" : name of thread to call when activated. This can be in a different script file as well by using the '::' notation.
-------- SPAWNFLAGS --------
NOT_PLAYERS : trigger does not respond to players.
MONSTERS : trigger will respond to monsters.
PROJECTILES : trigger will respond to projectiles (rockets, grenades, mines).*/

-------------------------------------------------------------------------------

/*SINED trigger_exit (0.5 0.5 0.5) ? TOGGLE START_ON
WOS enhanced. Variable size trigger. When the player touches this, an exit icon will be displayed in his hud. This is to inform him that he is near an exit.
-------- KEYS --------
"targetname" : name used by trigger or script to activate this.
-------- SPAWNFLAGS --------
TOGGLE: when set, the exit trigger will toggle enabled/disabled each time it's triggered.
START_ON: the exit trigger starts in the "enabled" state.
-------- NOTES --------
2015 enhanced this entity by making it targetable and toggleable. New keys: targetname. New spawnflags: TOGGLE and START_ON.*/

-------------------------------------------------------------------------------

/*SINED trigger_hurt (0.5 0.5 0.5) ? x x NOT_PLAYERS NOT_MONSTERS PROJECTILES NOT_BIKES
WOS enhanced. Variable size trigger thats will inflict damage when touched.
-------- KEYS --------
"damage" : amount of damage to cause (default 10).
"target" : this points to the entities to trigger.
"killtarget" : any entities this points to will be removed when the trigger is fired.
"delay" : amount of time trigger waits after being activated before firing its targets (default 0).
"wait" : amount of time before trigger, once activated, responds to activation again (.2 default). This is useful only if "cnt" is set to a value other than 1.
"cnt" : specifies how many times the trigger can fire before it will remove itself (default: infinite).
"message" : text string to print on the screen every time the trigger is activated. Trigger also makes a clicking sound.
"key" : item needed to activate this (default nothing). This can be any Inventory_* type entity. Use the last part of the entity name (after "Inventory_"). The only exceptions are:
    ChemBioSuit : use chemsuit instead
    cookies : works but doesn't generate an icon
    genericpulsepart : works but doesn't generate an icon
"thread" : name of thread to call when activated. This can be in a different script file as well by using the '::' notation.
-------- SPAWNFLAGS --------
NOT_PLAYERS : trigger does not hurt players.
NOT_MONSTERS : trigger does not hurt monsters.
PROJECTILES : trigger will hurt projectiles (mines).
NOT_BIKES : trigger will not hurt hoverbikes.
-------- NOTES --------
2015 implemented the NOT_BIKES spawnflag for this.*/

-------------------------------------------------------------------------------

/*SINED trigger_movecapture (0 .5 .8) ? NOUSE
WOS only entity. Variable size trigger which, when used, will capture the player's movements and store the values into a single user defined console variable (like console.blah for example) using flag values. The flags values can be read out of the variable using the script variable command 'ifflagset'. The 'ifflagset' conditional test will return true whenever the value of the variable has changed (IOW, every time the player presses a movement key). This is what is used to allow the player to control the claw in the drug lab level.
-------- KEYS --------
"outputvar" : is the name of the script variable to output the controls info to (required).
"targetname" : this is required to activate trigger from script if NOUSE is set.
-------- SPAWNFLAGS --------
NOUSE : user can't use this directly to activate it*/

-------------------------------------------------------------------------------

/*SINED trigger_particles (0.3 0.1 0.6) (-8 -8 -8) (8 8 8)  x NOSOUND NOT_PLAYERS MONSTERS PROJECTILES RANDSTYLE BRIGHT SNDTOGGLE
WOS enhanced particle spawner entity. Spawns particles when triggered.
-------- KEYS --------
"targetname" : name used by trigger or script to activate this.
"count" : number of particles to spawn each time this is triggered (default 10).
"noise" : sound to play when triggered (defaults to random spark sounds).
"angles": pitch, yaw, roll direction in which to spawn particles (default 0 0 0).
"key" : item needed to activate this (default nothing). This can be any Inventory_* type entity. Use the last part of the entity name (after "Inventory_"). The only exceptions are:
    ChemBioSuit : use chemsuit instead
    cookies : works but doesn't generate an icon
    genericpulsepart : works but doesn't generate an icon
"particlestyle" : style of particles (default 122 - sparks). Sample styles are:
120 : gunsmoke
121 : blood
123 : orangeglow
124 : blueyellow
125 : debris trail
128 : oil
129 : waterspray
"attenuation" : attenuation factor (0 becomes 1 for non-ambients, 2 for ambients).
   -1 : none, send to whole level
    0 : default (normal or ambient)
    1 : normal fighting sounds
    2 : idle monster sounds
    3 : ambient sounds
"spawntarget" : the entity this points to will be triggered when particles are spawned.
"size" : specifies the size of the particles to make (default 1).
"growrate" : specifies the rate at which the particles change size (default 0).
"time" : will toggle throwing particles on and off when set to a non-0 value. When set, it specifies the time delay between each time particles are thrown. A positive value means start on, and negative means start off.
"fire" : causes flame type particles to be made when set to a non-zero value.
"hit_solid" : causes particles to collision detect solid objects when set to a non-zero value.
"hit_ents" : causes particles to collision detect characters when set to a non-zero value.
"additive" : causes the particles to be displayed with an additive blend mode.
"hit_remove" : causes particles to be removed when they colide with something.
"speed" : when set, a constant amount of speed is given to the particles (default 20).
"spread" : when set, a random amount of speed is given to the particles (default 15).
"accel" : acceration rate of the particles (default 0 0 -40).
-------- SPAWNFLAGS --------
NOSOUND : no sound will be played.
NOT_PLAYERS : trigger does not respond to players.
MONSTERS : trigger will respond to monsters.
PROJECTILES : trigger will respond to projectiles (rockets, grenades, mines).
RANDSTYLE : particles will be set to random colors in the particlestyle.
BRIGHT : particles will be drawn extra bright.
SNDTOGGLE : the sound will toggle on and off with the particles.
-------- NOTES --------
Lots of stuff was added by 2015 for this one. New keys: attenuation, spawntarget, size, growrate, time, fire, hit_solid, hit_ents, additive, hit_remove, speed, spread and accel. Spawnflags: SNDTOGGLE.*/

-------------------------------------------------------------------------------

/*SINED trigger_push (.5 .5 .5) ? x x NOT_PLAYERS NOT_MONSTERS NOT_PROJECTILES STARTOFF
WOS enhanced. Variable size trigger. Pushes players, monsters, actors and projectiles as if they were caught in a heavy wind when touched.
-------- KEYS --------
"speed" : speed at which the entities are pushed (default 1000).
"angle" : direction in which the entities are pushed (-1 is up, -2 is down, default -1).
"target" : this will trigger the entity it points to (if triggerable) and use it as an aiming point (overrides "angle"). Setting this also has an effect on the resulting speed and angle of push which is then based on a combination of the value of the "speed" key, the position of the targeted entity (overrides "angle") plus the angle of approach and speed of collision of the player with the trigger: the faster the player walks into the trigger brush, the stronger the push.
"killtarget" : any entities this points to will be removed when the trigger is fired.
"delay" : amount of time trigger waits after being activated before firing its targets (default 0).
"wait" : amount of time before trigger, once activated, responds to activation again (.2 default). This is useful only if "cnt" is set to a value other than 1.
"cnt" : how many times trigger can be activated before removing itself (default: infinite).
"message" : text string to print on the screen every time the trigger is activated. Trigger also makes a clicking sound.
"key" : item needed to activate this (default nothing). This can be any Inventory_* type entity. Use the last part of the entity name (after "Inventory_"). The only exceptions are:
    ChemBioSuit : use chemsuit instead
    cookies : works but doesn't generate an icon
    genericpulsepart : works but doesn't generate an icon
"thread" : name of thread to call when activated. This can be in a different script file as well by using the '::' notation.
"targetname": setting this makes it possible to activate and deactivate this by a trigger or script.
-------- SPAWNFLAGS --------
NOT_PLAYERS : trigger does not push players.
NOT_MONSTERS : trigger will not push monsters.
NOT_PROJECTILES : trigger will not push projectiles (rockets, grenades, mines).
STARTOFF : trigger will start in the off state.
-------- NOTES --------
2015 implemented the "targetname" key and the STARTOFF spawnflag to make this entity triggerable.*/

-------------------------------------------------------------------------------

/*SINED trigger_randomparticles (0.3 0.1 0.6) (-8 -8 -8) (8 8 8) START_ON NOSOUND NOT_PLAYERS MONSTERS PROJECTILES RANDSTYLE BRIGHT SNDTOGGLE
WOS enhanced random particle spawner entity. This will spawn particles at random time intervals when triggered.
-------- KEYS --------
"targetname" : name used by trigger or script to activate this.
"count" : number of particles to spawn each time this is triggered (default 10).
"noise" : sound to play when triggered (defaults to random spark sounds).
"angles": pitch, yaw, roll direction in which to spawn particles (default 0 0 0).
"key" : item needed to activate this (default nothing). This can be any Inventory_* type entity. Use the last part of the entity name (after "Inventory_"). The only exceptions are:
    ChemBioSuit : use chemsuit instead
    cookies : works but doesn't generate an icon
    genericpulsepart : works but doesn't generate an icon
"particlestyle" : style of particles (default 122 - sparks). Sample styles are:
120 : gunsmoke
121 : blood
123 : orangeglow
124 : blueyellow
125 : debris trail
128 : oil
129 : waterspray
"mindelay" : minimum delay between particle triggers (default 3).
"maxdelay" : maximum delay between particle triggers (default 10).
"attenuation" : attenuation factor (0 becomes 1 for non-ambients, 2 for ambients).
   -1 : none, send to whole level
    0 : default (normal or ambient)
    1 : normal fighting sounds
    2 : idle monster sounds
    3 : ambient sounds
"spawntarget" : the entity this points to will be triggered when particles are spawned.
"size" : specifies the size of the particles to make (default 1).
"growrate" : specifies the rate at which the particles change size (default 0).
"fire" : causes flame type particles to be made when set to a non-zero value.
"hit_solid" : causes particles to collision detect solid objects when set to a non-zero value.
"hit_ents" : causes particles to collision detect characters when set to a non-zero value.
"additive" : causes the particles to be displayed with an additive blend mode.
"hit_remove" : causes particles to be removed when they colide with something.
"speed" : when set, a constant amount of speed is given to the particles (default 20).
"spread" : when set, a random amount of speed is given to the particles (default 15).
"accel" : acceration rate of the particles (default 0 0 -40).
-------- SPAWNFLAGS --------
START_ON : particle effect will initially be on and turn off when triggered.
NOSOUND : no sound will be played.
NOT_PLAYERS : trigger does not respond to players.
MONSTERS : trigger will respond to monsters.
PROJECTILES : trigger will respond to projectiles (rockets, grenades, mines).
RANDSTYLE : particles will be set to random colors in the particlestyle.
BRIGHT : particles will be drawn extra bright.
SNDTOGGLE : the sound will toggle on and off with the particles.
-------- NOTES --------
Lots of stuff was added by 2015 for this one. New keys: attenuation, spawntarget, size, growrate, fire, hit_solid, hit_ents, additive, hit_remove, speed, spread and accel. Spawnflags: SNDTOGGLE.*/

-------------------------------------------------------------------------------

/*SINED trigger_triggeredhurt (0.5 0.5 0.5) ? x x NOT_PLAYERS NOT_MONSTERS PROJECTILES START_ON
WOS only entity. Variable size trigger thats will inflict damage when touched. Will only hurts entities for a time after it's triggered.
-------- KEYS --------
"targetname" : name used by trigger or script to activate this.
"damage" : amount of damage to cause (default 10).
"hurttime" : the amount of time it will hurt things after it's triggered. A value of 0 will make it toggle on and off each time it's triggered. Default is 0.05 (will hurt once).
"key" : item needed to activate this (default nothing). This can be any Inventory_* type entity. Use the last part of the entity name (after "Inventory_"). The only exceptions are:
    ChemBioSuit : use chemsuit instead
    cookies : works but doesn't generate an icon
    genericpulsepart : works but doesn't generate an icon
-------- SPAWNFLAGS --------
NOT_PLAYERS : trigger does not hurt players.
NOT_MONSTERS : trigger does not hurt monsters.
PROJECTILES : trigger will hurt projectiles (mines).
START_ON : trigger starts in the on state and will be turned off when triggered.*/

-------------------------------------------------------------------------------

WORLDSPAWN

-------------------------------------------------------------------------------

/*SINED worldspawn (0 0 0) ? CINEMATIC x BIKESONLY BODIESFADE
WOS enhanced. Only used for the world: all the world brushes are automatically part of this entity. This is automatically created in a new map and SinEd does not let you insert it since only one worldspawn entity per level is allowed. Select any world brush before setting the keys for this.
-------- KEYS --------
"sky" : environment map name in the base/env folder. This must be set to the first letters common to the names of all 6 TGA files which make up the environment map (default sky_).
"skyaxis" : rotation axis toggle for rotating sky. Set one or several of the 3 possible axes of rotation - X Y Z. For example, if you want the sky to rotate along the X and Z axes, set this to "1 0 1" (default 0 0 0).
"skyrotate" : speed of rotation of sky in degrees/second. The sky will rotate along each of the axes set in "skyaxis" at the specified speed. If this is set, make sure at least one of the axes of rotation is set in "skyaxis" otherwise the sky will produce a Hall-Of-Mirrors effect (default 0).
"cdtrack" : music CD track number. The Sin CD has no audio tracks but if a music CD is present in your drive while you play the map, the track number will be played (default 0).
"soundtrack" : name of .mus music configuration file to use for map. Music files are in the base/music folder and the file extension must be omitted (default none).
"gravity" : gravity of the level. Lower values produce lower gravity (default 800 - normal).
"message" : text to print on game console at user logon. This will be the map's title name used in the savegame and loadgame menus (default is the map's filename).
"skipthread" : thread that is called to skip this level if it's defined as a cinematic level (CINEMATIC spawnflag set or 'cinematic' command in script). When the player hits either the use, jump or fire key during the cinematic, the thread will be called.
"script" : name of script file to use for this map. If set, the file name and extension must be specified. If not set, the map will try to load a script by the same name as the map filename with an .scr extension by default.
"watercolor" : specifies the player's view blend color while in water (default 0 0 1).
"wateralpha" : specifies the translucency of the player's view blend while in water. Values are from 0 to 1 - 0 is 100% clear, 1 is 100% opaque (default 0.1).
"lavacolor" : specifies the player's view blend color while in lava (default 1.0 0.3 0).
"lavaalpha" : specifies the translucency of the player's view blend while in lava. Values are from 0 to 1 - 0 is 100% clear, 1 is 100% opaque (default 0.6).
"lightcolor" : specifies the player's view blend color while in slime (default 1 1 1).
"lightalpha" : specifies the translucency of the player's view blend while in slime. Values are from 0 to 1 - 0 is 100% clear, 1 is 100% opaque (default 0.5).
"lavadamage" : sets the amount of damage laval should do per waterheight level (default 10).
"cpsounds" : sets the script file from which to get the hoverbike checkpoint sounds (default is "global/default_cp_sounds.scr").
-------- SPAWNFLAGS --------
CINEMATIC : sets the map as a cinematic level.
BIKESONLY : all players spawn on hoverbikes and can't get off. If the bike dies, they die.
BODIESFADE : makes dead player bodies fade shortly after dying. Useful for big open maps.
-------- NOTES --------
2015 has enhanced worlspawn. The following keys were implemented: lavadamage and cpsounds. The following spawnflags were implemented: BIKESONLY and BODIESFADE.*/

-------------------------------------------------------------------------------